{% extends "visite/base.html" %}
{% load common_utils visite_utils %}

{% block title %}Attributions visites{% endblock %}

{% block breadcrumb %}
<li class="breadcrumb-item"><a href="{% url 'home' %}">Accueil</a></li>
<li class="breadcrumb-item active" aria-current="page">Attributions</li>
{% endblock %}

{% block content %}
    <div class="row align-items-center">
        <div class="col"><h2>Attributions des visites <span class="fs-5">({{ object_list.count }})</span></h2></div>
        <div class="col text-end">
            <!--a class="btn btn-sm btn-outline-primary" href="">Archives</a-->
            <a class="btn btn-sm btn-primary openmodal" href="{% url 'attribution-new' %}">Nouvelle attribution</a>
        </div>
    </div>

    {% include 'visite/attrib_tabs.html' %}

    <table class="table table-striped">
        <thead class="sticky">
            <tr><th>Client</th><th>Bénévole</th><th>Dès le</th>
                {% if active == 'terminees'%}<th>Jusqu’au</th><th>Motif fin</th>{% endif %}
                <th>Remarques</th>{% for m in mois %}<th>{{ m|date:'M' }}</th>{% endfor %}<th></th>
            </tr>
        </thead>
        <tbody>
        {% for attr in object_list %}
            <tr>
                <td><a href="{% url 'client-edit' attr.client_id %}">{{ attr.client }}</a></td>
                <td>{{ attr.visiteur }}</td>
                <td>{{ attr.debut|date:'d.m.Y' }}</td>
                {% if active == 'terminees'%}
                <td>{{ attr.fin|date:'d.m.Y' }}</td>
                <td>{{ attr.motif_fin }}</td>
                {% endif %}
                <td>
                    {% if attr.client.remarques_int_visite %}
                    <div><i>Client:</i> {{ attr.client.remarques_int_visite|linebreaksbr }}</div>
                    {% endif %}
                    {% if attr.benevole.remarques %}<div><i>Bénév.:</i> {{ attr.benevole.remarques|linebreaksbr }}</div>{% endif %}
                    {% if attr.remarques %}<div><i>Attrib.:</i> {{ attr.remarques|linebreaksbr }}</div>{% endif %}
                </td>
                {% for m in mois %}
                    {% duree_par_mois m attr.client.pk attr.visiteur.pk as duree %}
                    <td>
                        {% if duree %}{{ duree|format_duree }}{% elif forloop.last %}
                        <a href="{% url 'visite-new' %}?client={{ attr.client.pk }}&benevole={{ attr.visiteur.pk }}" class="btn btn-sm btn-light openmodal" title="Ajouter une visite">+</a>
                        {% endif %}
                    </td>
                {% endfor %}
                <td>
                    <button type="button" class="btn btn-light btn-icon openmodal" title="Modifier l’attribution" data-modalurl="{% url 'attribution-edit' attr.pk %}">
                    <img src="{% static 'img/edit.svg' %}">
                    </button>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
